## evolution 3.30.5.1

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution
	VERSION 3.30.5
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.30)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
	set(APPDATA_RELEASE_TYPE "development")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
	set(APPDATA_RELEASE_TYPE "stable")
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'ditcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gcr_minimum_version 3.4)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.16.0)

# Optional Packages
set(champlain_minimum_version 0.12)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.10)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.10)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)
set(libunity_minimum_version 7.1.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(mkdtemp HAVE_MKDTEMP)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# executables
# ******************************

find_program(KILL_PROCESS_COMMAND killall)
if(NOT KILL_PROCESS_COMMAND)
	find_program(KILL_PROCESS_COMMAND pkill)
	set(KILL_PROCESS_COMMAND_ARGS "-f")
	set(KILL_PROCESS_COMMAND_ARG_EXACT "-x")
else(NOT KILL_PROCESS_COMMAND)
	set(KILL_PROCESS_COMMAND_ARGS "")
	set(KILL_PROCESS_COMMAND_ARG_EXACT "-e")
endif(NOT KILL_PROCESS_COMMAND)

if(NOT KILL_PROCESS_COMMAND)
	message(WARNING "Could not find a command to kill a process by name")
endif(NOT KILL_PROCESS_COMMAND)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gcr-3>=${gcr_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.0>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-1.2>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.0>=${webkit2gtk_minimum_version})

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gtkspell3, webkitgtk+,...)
# ******************************

add_printable_option(WITH_ENCHANT_VERSION "Set Enchant version to use, values are: 'auto' (default), 1 or 2" "auto")

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT enchant>=${enchant1_minimum_version})
		if(ENCHANT_FOUND)
			set(WITH_ENCHANT_VERSION "auto (enchant-1)")
		else(ENCHANT_FOUND)
			unset(ENCHANT_FOUND)
			pkg_check_modules(ENCHANT enchant-2>=${enchant2_minimum_version})
			if(ENCHANT_FOUND)
				set(WITH_ENCHANT_VERSION "auto (enchant-2)")
			else(ENCHANT_FOUND)

=== src/mail/CMakeLists.txt ===
glib_mkenums(e-mail-enumtypes e-mail-enums.h E_MAIL_ENUMTYPES_H)
add_error_files(mail mail.error)
add_custom_xml_files(mail ${privdatadir} filter .in ""
	filtertypes.xml
	searchtypes.xml
	vfoldertypes.xml
)

install(FILES message-list.etspec
	DESTINATION ${etspecdir}
)

install(FILES	mail-config.ui
		mail-dialogs.ui
	DESTINATION ${uidir}
)

set(DEPENDENCIES
	econtacteditor
	econtactlisteditor
	email-engine
	evolution-mail-composer
	evolution-mail-formatter
	evolution-shell
	evolution-util
)

if(ENABLE_SMIME)
	list(APPEND DEPENDENCIES
		essmime
		evolution-smime
	)
endif(ENABLE_SMIME)

set(SOURCES
	e-cid-request.c
	e-http-request.c
	e-mail-account-manager.c
	e-mail-account-store.c
	e-mail-account-tree-view.c
	e-mail-autoconfig.c
	e-mail-backend.c
	e-mail-browser.c
	e-mail-config-activity-page.c
	e-mail-config-assistant.c
	e-mail-config-auth-check.c
	e-mail-config-composing-page.c
	e-mail-config-confirm-page.c
	e-mail-config-defaults-page.c
	e-mail-config-identity-page.c
	e-mail-config-lookup-page.c
	e-mail-config-notebook.c
	e-mail-config-page.c
	e-mail-config-provider-page.c
	e-mail-config-receiving-page.c
	e-mail-config-security-page.c
	e-mail-config-sending-page.c
	e-mail-config-service-backend.c
	e-mail-config-service-notebook.c
	e-mail-config-service-page.c
	e-mail-config-sidebar.c
	e-mail-config-summary-page.c
	e-mail-config-welcome-page.c
	e-mail-config-window.c
	e-mail-display.c
	e-mail-display-popup-extension.c
	e-mail-folder-create-dialog.c
	e-mail-folder-pane.c
	e-mail-free-form-exp.c
	e-mail-junk-options.c
	e-mail-label-action.c
	e-mail-label-dialog.c
	e-mail-label-list-store.c
	e-mail-label-manager.c
	e-mail-label-tree-view.c
	e-mail-message-pane.c
	e-mail-migrate.c
	e-mail-notes.c
	e-mail-paned-view.c
	e-mail-print-config-headers.c
	e-mail-printer.c
	e-mail-properties.c
	e-mail-reader-utils.c
	e-mail-reader.c
	e-mail-remote-content.c
	e-mail-request.c
	e-mail-send-account-override.c
	e-mail-sidebar.c
	e-mail-tag-editor.c
	e-mail-templates.c
	e-mail-templates-store.c
	e-mail-ui-session.c
	e-mail-view.c
	em-composer-utils.c
	em-config.c
	em-event.c
	em-filter-context.c
	em-filter-editor.c
	em-filter-editor-folder-element.c
	em-filter-rule.c
	em-filter-source-element.c
	em-folder-properties.c
	em-folder-selection-button.c
	em-folder-selector.c
	em-folder-tree-model.c
	em-folder-tree.c
	em-folder-utils.c
	em-search-context.c
	em-subscription-editor.c
	em-utils.c
	em-vfolder-editor-context.c
	em-vfolder-editor-rule.c
	em-vfolder-editor.c
	mail-autofilter.c
	mail-send-recv.c
	mail-vfolder-ui.c
	message-list.c
	${CMAKE_CURRENT_BINARY_DIR}/e-mail-enumtypes.c
)

set(HEADERS
	e-cid-request.h
	e-http-request.h
	e-mail.h
	e-mail-account-manager.h
	e-mail-account-store.h
	e-mail-account-tree-view.h
	e-mail-autoconfig.h
	e-mail-backend.h
	e-mail-browser.h
	e-mail-config-activity-page.h
	e-mail-config-assistant.h
	e-mail-config-auth-check.h
	e-mail-config-composing-page.h
	e-mail-config-confirm-page.h
	e-mail-config-defaults-page.h
	e-mail-config-identity-page.h
	e-mail-config-lookup-page.h
	e-mail-config-notebook.h
	e-mail-config-page.h
	e-mail-config-provider-page.h
	e-mail-config-receiving-page.h
	e-mail-config-security-page.h
	e-mail-config-sending-page.h
	e-mail-config-service-backend.h
	e-mail-config-service-notebook.h
	e-mail-config-service-page.h
	e-mail-config-sidebar.h
	e-mail-config-summary-page.h
	e-mail-config-welcome-page.h
	e-mail-config-window.h
	e-mail-display.h
	e-mail-display-popup-extension.h
	e-mail-enums.h
	e-mail-folder-create-dialog.h
	e-mail-folder-pane.h
	e-mail-free-form-exp.h
	e-mail-junk-options.h
	e-mail-label-action.h
	e-mail-label-dialog.h
	e-mail-label-list-store.h
	e-mail-label-manager.h
	e-mail-label-tree-view.h
	e-mail-message-pane.h
	e-mail-migrate.h
	e-mail-notes.h
	e-mail-paned-view.h
	e-mail-print-config-headers.h
	e-mail-printer.h
	e-mail-properties.h
	e-mail-reader-utils.h
	e-mail-reader.h
	e-mail-remote-content.h
	e-mail-request.h
	e-mail-send-account-override.h
	e-mail-sidebar.h
	e-mail-tag-editor.h
	e-mail-templates.h
	e-mail-templates-store.h
	e-mail-ui-session.h
	e-mail-view.h
	em-composer-utils.h
	em-config.h
	em-event.h
	em-filter-context.h
	em-filter-editor.h
	em-filter-editor-folder-element.h
	em-filter-rule.h
	em-filter-source-element.h
	em-folder-properties.h
	em-folder-selection-button.h
	em-folder-selector.h
	em-folder-tree-model.h
	em-folder-tree.h
	em-folder-utils.h
	em-search-context.h
	em-subscription-editor.h
	em-utils.h
	em-vfolder-editor-context.h
	em-vfolder-editor-rule.h
	em-vfolder-editor.h
	mail-autofilter.h
	mail-send-recv.h
	mail-vfolder-ui.h
	message-list.h
	${CMAKE_CURRENT_BINARY_DIR}/e-mail-enumtypes.h
)

add_library(evolution-mail SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(evolution-mail
	${DEPENDENCIES}
)

target_compile_definitions(evolution-mail PRIVATE
	-DG_LOG_DOMAIN=\"evolution-mail\"
	-DEVOLUTION_PRIVDATADIR=\"${privdatadir}\"
	-DEVOLUTION_ETSPECDIR=\"${etspecdir}\"
)

target_compile_options(evolution-mail PUBLIC
	${CERT_UI_CFLAGS}
	${CANBERRA_CFLAGS}
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(evolution-mail PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src/composer
	${CMAKE_BINARY_DIR}/src/em-format
	${CMAKE_BINARY_DIR}/src/shell
	${CMAKE_BINARY_DIR}/src/smime/lib
	${CMAKE_BINARY_DIR}/src/smime/gui
	${CMAKE_SOURCE_DIR}/src/composer
	${CMAKE_SOURCE_DIR}/src/em-format
	${CMAKE_SOURCE_DIR}/src/shell
	${CMAKE_SOURCE_DIR}/src/smime/lib
	${CMAKE_SOURCE_DIR}/src/smime/gui
	${CERT_UI_INCLUDES}
	${CANBERRA_INCLUDE_DIRS}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(evolution-mail
	${DEPENDENCIES}
	${CERT_UI_LIBS}
	${CANBERRA_LDFLAGS}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS evolution-mail
	DESTINATION ${privsolibdir}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/mail
)

# ******************************
# test-mail-autoconfig
# ******************************

add_executable(test-mail-autoconfig
	e-mail-autoconfig.c
	e-mail-autoconfig.h
	test-mail-autoconfig.c
)

add_dependencies(test-mail-autoconfig
	evolution-util
)

target_compile_definitions(test-mail-autoconfig PRIVATE
	-DG_LOG_DOMAIN=\"test-mail-autoconfig\"
)

target_compile_options(test-mail-autoconfig PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(test-mail-autoconfig PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(test-mail-autoconfig
	evolution-util
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

add_subdirectory(default)
add_subdirectory(importers)

=== src/modules/CMakeLists.txt ===
macro(add_simple_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _destination)
	set(DEPENDENCIES
		evolution-util
	)

	set(SOURCES
		${${_sourcesvar}}
	)

	add_library(${_name} MODULE
		${SOURCES}
	)

	set_target_properties(${_name} PROPERTIES
		PREFIX ""
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		${${_defsvar}}
	)

	target_compile_options(${_name} PUBLIC
		${EVOLUTION_DATA_SERVER_CFLAGS}
		${GNOME_PLATFORM_CFLAGS}
		${${_cflagsvar}}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
		${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
		${GNOME_PLATFORM_INCLUDE_DIRS}
		${${_incdirsvar}}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
		${EVOLUTION_DATA_SERVER_LDFLAGS}
		${GNOME_PLATFORM_LDFLAGS}
		${${_ldflagsvar}}
	)

	install(TARGETS ${_name}
		DESTINATION ${_destination}
	)
endmacro(add_simple_module)

macro(add_evolution_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar)
	add_simple_module(${_name} ${_sourcesvar} ${_depsvar} ${_defsvar} ${_cflagsvar} ${_incdirsvar} ${_ldflagsvar} ${moduledir})
endmacro(add_evolution_module)

macro(add_simple_webextension_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _destdir)
	set(wex_deps
		${${_depsvar}}
		edomutils
	)
	set(wex_cflags
		${${_cflagsvar}}
		${WEB_EXTENSIONS_CFLAGS}
	)
	set(wex_incdirs
		${${_incdirsvar}}
		${WEB_EXTENSIONS_INCLUDE_DIRS}
	)
	set(wex_ldflags
		${${_ldflagsvar}}
		${WEB_EXTENSIONS_LDFLAGS}
	)

	add_simple_module(${_name} ${_sourcesvar} wex_deps ${_defsvar} wex_cflags wex_incdirs wex_ldflags ${_destdir})
endmacro(add_simple_webextension_module)

macro(add_webextension_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar)
	add_simple_webextension_module(${_name} ${_sourcesvar} ${_depsvar} ${_defsvar} ${_cflagsvar} ${_incdirsvar} ${_ldflagsvar} "${webextensionsdir}")
endmacro(add_webextension_module)

macro(add_webextension_editor_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar)
	add_simple_webextension_module(${_name} ${_sourcesvar} ${_depsvar} ${_defsvar} ${_cflagsvar} ${_incdirsvar} ${_ldflagsvar} "${webextensionswebkiteditordir}")
endmacro(add_webextension_editor_module)

add_subdirectory(addressbook)
add_subdirectory(calendar)
add_subdirectory(mail)
add_subdirectory(accounts-window)
add_subdirectory(alarm-notify)
add_subdirectory(backup-restore)
add_subdirectory(book-config-carddav)
add_subdirectory(book-config-google)
add_subdirectory(book-config-local)
add_subdirectory(cal-config-caldav)
add_subdirectory(cal-config-contacts)
add_subdirectory(cal-config-google)
add_subdirectory(cal-config-local)
add_subdirectory(cal-config-webcal)
add_subdirectory(composer-autosave)
add_subdirectory(composer-to-meeting)
add_subdirectory(config-lookup)
add_subdirectory(contact-photos)
add_subdirectory(gravatar)
add_subdirectory(itip-formatter)
add_subdirectory(mail-config)
add_subdirectory(mailto-handler)
add_subdirectory(mdn)
add_subdirectory(offline-alert)
add_subdirectory(plugin-lib)
add_subdirectory(plugin-manager)
add_subdirectory(prefer-plain)
add_subdirectory(settings)
add_subdirectory(startup-wizard)
add_subdirectory(vcard-inline)
add_subdirectory(webkit-editor)
add_subdirectory(webkit-inspector)

if(ENABLE_TEXT_HIGHLIGHT)
	add_subdirectory(text-highlight)
endif(ENABLE_TEXT_HIGHLIGHT)

if(ENABLE_WEATHER)
	add_subdirectory(cal-config-weather)
endif(ENABLE_WEATHER)

if(ENABLE_YTNEF)
	add_subdirectory(tnef-attachment)
endif(ENABLE_YTNEF)

if(HAVE_LDAP)
	add_subdirectory(book-config-ldap)
endif(HAVE_LDAP)

if(WITH_BOGOFILTER)
	add_subdirectory(bogofilter)
endif(WITH_BOGOFILTER)

if(WITH_SPAMASSASSIN)
	add_subdirectory(spamassassin)
endif(WITH_SPAMASSASSIN)

=== docs/reference/evolution-mail-composer/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/composer
)

set(DEPENDENCIES
	evolution-mail-composer
	gtkdoc-evolution-mail-engine
	gtkdoc-evolution-mail-formatter
	gtkdoc-evolution-shell
	gtkdoc-evolution-util
)

set(IGNORE_HEADERS
	e-composer-actions.h
	e-composer-private.h
)

add_gtkdoc(evolution-mail-composer composer "" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== docs/reference/evolution-mail-engine/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/libemail-engine
)

set(DEPENDENCIES
	email-engine
	gtkdoc-evolution-util
)

set(IGNORE_HEADERS
	e-mail-engine-enumtypes.h
)

add_gtkdoc(evolution-mail-engine email-engine "" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== docs/reference/evolution-mail-formatter/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/em-format
)

set(DEPENDENCIES
	evolution-mail-formatter
	gtkdoc-evolution-shell
)

set(IGNORE_HEADERS
	e-mail-formatter-enumtypes.h
)

add_gtkdoc(evolution-mail-formatter em-format "" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== docs/reference/evolution-shell/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/shell
)

set(DEPENDENCIES
	email-engine
	evolution-util
	evolution-shell
	gtkdoc-evolution-mail-engine
	gtkdoc-evolution-util
)

set(IGNORE_HEADERS
	evo-version.h
	e-shell-window-private.h
	e-shell-enumtypes.h
)

add_gtkdoc(evolution-shell shell "" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== src/addressbook/printing/CMakeLists.txt ===
set(ecpsdir ${privdatadir}/ecps)

install(FILES	smallbook.ecps
		medbook.ecps
		phonelist.ecps
	DESTINATION ${ecpsdir}
)

set(DEPENDENCIES
	eabutil
	evolution-util
)

set(SOURCES
	e-contact-print-types.h
	e-contact-print.c
	e-contact-print.h
)

add_library(econtactprint SHARED
	${SOURCES}
)

add_dependencies(econtactprint
	${DEPENDENCIES}
)

target_compile_definitions(econtactprint PRIVATE
	-DG_LOG_DOMAIN=\"addressbook-printing\"
	-DEVOLUTION_ECPSDIR=\"${ecpsdir}\"
)

target_compile_options(econtactprint PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(econtactprint PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src/addressbook
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(econtactprint
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS econtactprint
	DESTINATION ${privsolibdir}
)

=== src/modules/mdn/CMakeLists.txt ===
add_error_files(mdn evolution-mdn.error)

set(extra_deps
	email-engine
	evolution-mail
	evolution-shell
)
set(sources
	evolution-mdn.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-mdn
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/webkit-editor/web-extension/CMakeLists.txt ===
set(extra_deps
	evolution-mail
)
set(sources
	e-composer-dom-functions.c
	e-composer-dom-functions.h
	e-dialogs-dom-functions.c
	e-dialogs-dom-functions.h
	e-editor-dom-functions.c
	e-editor-dom-functions.h
	e-editor-page.c
	e-editor-page.h
	e-editor-undo-redo-manager.c
	e-editor-undo-redo-manager.h
	e-editor-web-extension.c
	e-editor-web-extension.h
	e-editor-web-extension-main.c
	e-editor-web-extension-names.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_webextension_editor_module(module-webkit-editor-webextension
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== debian/changelog ===
evolution (3.30.5.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 8bb6e34bf363f0668de16168db2c14cd86a0559e']

 -- shuttle <shuttle@deepin.com>  Mon, 14 Sep 2020 18:24:22 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: cmake,
               debhelper (>= 11),
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev,
               libglib2.0-dev (>= 2.46.0),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.30.5),
               libebook1.2-dev (>= 3.30.5),
               libecal1.2-dev (>= 3.30.5),
               libedataserver1.2-dev (>= 3.30.5),
               libedataserverui1.2-dev (>= 3.30.5),
               libebackend1.2-dev (>= 3.30.5),
               evolution-data-server-dev (>= 3.30.5),
               evolution-data-server-dev (<< 3.31),
               libwebkit2gtk-4.0-dev (>= 2.13.90),
               libgcr-3-dev (>= 3.4),
               libgtkspell3-3-dev,
               libgeocode-glib-dev (>= 3.10),
               libgnome-desktop-3-dev (>= 3.8.0),
               libsoup2.4-dev (>= 2.42),
               libxml2-dev (>= 2.7.3),
               libenchant-dev (>= 1.1.7),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-3-dev (>= 3.10.0),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               itstool,
               libtool (>= 2.2),
               pkg-config (>= 0.16.0),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev,
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               gnome-pkg-tools,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.30.5),
         evolution-data-server (<< 3.31),
         dbus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Breaks: evolution-common (<< 3.20.4-1~)
Replaces: evolution-common (<< 3.20.4-1~)
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-plugin

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-dev (>= 1.1.7),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.0-dev (>= 2.13.90),
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Breaks: evolution-common (<< 3.25.91),
        evolution-plugins (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.

## evolution 3.32.0

=== debian/changelog ===
evolution (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.32.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 06:43:43 -0400

evolution (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump e-d-s dependencies and build-dependencies to 3.31.90
  * debian/evolution.install: Install manpage
  * Stop overriding libexecdir (/usr/libexec/ is fine)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 13:47:58 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
@@ -15,14 +15,14 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.30.5),
-               libebook1.2-dev (>= 3.30.5),
-               libecal1.2-dev (>= 3.30.5),
-               libedataserver1.2-dev (>= 3.30.5),
-               libedataserverui1.2-dev (>= 3.30.5),
-               libebackend1.2-dev (>= 3.30.5),
-               evolution-data-server-dev (>= 3.30.5),
-               evolution-data-server-dev (<< 3.31),
+               libcamel1.2-dev (>= 3.32.0),
+               libebook1.2-dev (>= 3.32.0),
+               libecal1.2-dev (>= 3.32.0),
+               libedataserver1.2-dev (>= 3.32.0),
+               libedataserverui1.2-dev (>= 3.32.0),
+               libebackend1.2-dev (>= 3.32.0),
+               evolution-data-server-dev (>= 3.32.0),
+               evolution-data-server-dev (<< 3.33),
                libwebkit2gtk-4.0-dev (>= 2.13.90),
                libgcr-3-dev (>= 3.4),
                libgtkspell3-3-dev,
@@ -70,8 +70,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.30.5),
-         evolution-data-server (<< 3.31),
+         evolution-data-server (>= 3.32.0),
+         evolution-data-server (<< 3.33),
          dbus,
          psmisc
 Recommends: evolution-plugins,

## evolution 3.32.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution
-	VERSION 3.30.5
+	VERSION 3.32.1
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
 set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")
@@ -12,7 +12,7 @@
 # Base Version: This is for API/version tracking for things like
 # D-Bus server files. This should always be the major/minor of
 # the stable version or stable version to be.
-set(BASE_VERSION 3.30)
+set(BASE_VERSION 3.32)
 
 # Used for pkg-config files
 set(INTERFACE_VERSION 3.0)
@@ -128,6 +128,7 @@
 add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
 add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
 add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
+add_printable_variable_path(MAN_INSTALL_DIR "Install directory for manual pages, defaults to SHARE_INSTALL_PREFIX/man" "")
 
 macro(ensure_default_value _var _defvalue)
 	if(${_var} STREQUAL "")
@@ -142,6 +143,7 @@
 ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
 ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
 ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
+ensure_default_value(MAN_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/man")
 
 # ******************************
 # Special directories
@@ -311,7 +313,3 @@
 			set(WITH_ENCHANT_VERSION "auto (enchant-1)")
 		else(ENCHANT_FOUND)
 			unset(ENCHANT_FOUND)
-			pkg_check_modules(ENCHANT enchant-2>=${enchant2_minimum_version})
-			if(ENCHANT_FOUND)
-				set(WITH_ENCHANT_VERSION "auto (enchant-2)")
-			else(ENCHANT_FOUND)

=== debian/changelog ===
evolution (3.32.1-2) experimental; urgency=medium

  * debian/control.in:
    - update the e-d-s requirement to the current version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 16:00:20 +0200

evolution (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 15:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.32.0),
-               libebook1.2-dev (>= 3.32.0),
-               libecal1.2-dev (>= 3.32.0),
-               libedataserver1.2-dev (>= 3.32.0),
-               libedataserverui1.2-dev (>= 3.32.0),
-               libebackend1.2-dev (>= 3.32.0),
-               evolution-data-server-dev (>= 3.32.0),
+               libcamel1.2-dev (>= 3.32.1),
+               libebook1.2-dev (>= 3.32.1),
+               libecal1.2-dev (>= 3.32.1),
+               libedataserver1.2-dev (>= 3.32.1),
+               libedataserverui1.2-dev (>= 3.32.1),
+               libebackend1.2-dev (>= 3.32.1),
+               evolution-data-server-dev (>= 3.32.1),
                evolution-data-server-dev (<< 3.33),
                libwebkit2gtk-4.0-dev (>= 2.13.90),
                libgcr-3-dev (>= 3.4),
@@ -70,7 +70,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.32.0),
+         evolution-data-server (>= 3.32.1),
          evolution-data-server (<< 3.33),
          dbus,
          psmisc

## evolution 3.32.2

=== debian/changelog ===
evolution (3.32.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update eds requirements to 3.32.2
  * d/p/mail-notification-Use-sound-theme-by-default.patch:
    - Instead of defaulting to a plain beep, default to play theme sound
      when a new mail arrives, backport from git (lp: #1815975)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 May 2019 13:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.32.1),
-               libebook1.2-dev (>= 3.32.1),
-               libecal1.2-dev (>= 3.32.1),
-               libedataserver1.2-dev (>= 3.32.1),
-               libedataserverui1.2-dev (>= 3.32.1),
-               libebackend1.2-dev (>= 3.32.1),
-               evolution-data-server-dev (>= 3.32.1),
+               libcamel1.2-dev (>= 3.32.2),
+               libebook1.2-dev (>= 3.32.2),
+               libecal1.2-dev (>= 3.32.2),
+               libedataserver1.2-dev (>= 3.32.2),
+               libedataserverui1.2-dev (>= 3.32.2),
+               libebackend1.2-dev (>= 3.32.2),
+               evolution-data-server-dev (>= 3.32.2),
                evolution-data-server-dev (<< 3.33),
                libwebkit2gtk-4.0-dev (>= 2.13.90),
                libgcr-3-dev (>= 3.4),
@@ -70,7 +70,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.32.1),
+         evolution-data-server (>= 3.32.2),
          evolution-data-server (<< 3.33),
          dbus,
          psmisc

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome

DEB_REVISION := $(shell echo $(DEB_VERSION) | awk -F- '{ print $$NF }')

# installed-tests are old and require python3-behave
# which is not in Debian yet
override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_OPENLDAP=ON \
		-DENABLE_PLUGINS=all \
		-DENABLE_PST_IMPORT=ON \
		-DENABLE_CONTACT_MAPS=ON \
		-DENABLE_AUTOAR=ON \
		-DENABLE_INSTALLED_TESTS=OFF \
		-DWITH_HELP=ON \
		-DENABLE_GTK_DOC=ON \
		-DVERSION_SUBSTRING=-$(DEB_REVISION)

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install
ifneq ($(filter libevolution,$(shell dh_listpackages)),)
	find debian/libevolution/ -name 'module-bogofilter.so' -delete
	find debian/libevolution/ -name 'module-spamassassin.so' -delete
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V'libevolution (>= $(DEB_VERSION_UPSTREAM)), libevolution (<< $(DEB_GNOME_NEXTVERSION))' -n

override_dh_strip:
	dh_strip --dbgsym-migration='evolution-dbg (<< 3.18.5.2-1~)'
